/**
 *******************************************************************************
 * @file  dmac.h
 * @brief DMAC driver header file
 * 
 * @note 
 * Copyright (C) 2012,2013 Renesas Electronics Corporation 
 * Copyright (C) 2012,2013 Renesas Micro Systems Co., Ltd. 
 * 
 * @par
 *  This is a sample program. 
 *  Renesas Electronics assumes no responsibility for any losses incurred. 
 * 
 *******************************************************************************
 */

#ifndef	DMAC_H__
#define	DMAC_H__

/*==========================================================================*/
/* I N C L U D E															*/
/*==========================================================================*/
#include "RIN32M3.h"
#include "errcodes.h"

/*==========================================================================*/
/* T Y P E D E F															*/
/*==========================================================================*/

/*==========================================================================*/
/* D E F I N E																*/
/*==========================================================================*/

/*==========================================================================*/
/* P R O T O T Y P E                                                        */
/*==========================================================================*/
void *dmac_memcpy(void *dst, const void *src, uint32_t n);

#endif // DMAC_H__
